Page MenuHomePhabricator

[OpenCL] Augment pipe built-ins with pipe packet size and alignment.
ClosedPublic

Authored by bader on Aug 29 2016, 7:02 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

bader updated this revision to Diff 69568.Aug 29 2016, 7:02 AM
bader retitled this revision from to [OpenCL] Augment pipe built-ins with pipe packet size and alignment..
bader updated this object.
bader added reviewers: Anastasia, vpykhtin.
bader added a subscriber: cfe-commits.
Anastasia added inline comments.Sep 5 2016, 8:49 AM
lib/CodeGen/CGOpenCLRuntime.cpp
97 ↗(On Diff #69568)

Perhaps it's safer to use getTypeSizeInChars instead? Even though most of architectures should have an 8-bit byte, it will allow us to avoid having hard-coded numbers.

bader updated this revision to Diff 70366.Sep 6 2016, 2:41 AM

Applied code review comment from Anastasia.

Use getTypeSizeInChars instead of getTypeSize to get type size in bytes. Assume that char size is always one byte.

Anastasia accepted this revision.Sep 6 2016, 10:42 AM
Anastasia edited edge metadata.

LGTM! Thanks!

This revision is now accepted and ready to land.Sep 6 2016, 10:42 AM
bader added a comment.Sep 7 2016, 4:01 AM

Valery, do you have any additional comments/questions regarding this patch?

vpykhtin accepted this revision.Sep 23 2016, 6:58 AM
vpykhtin edited edge metadata.

Sorry for a deeeeeelaaaaaaaaay, LGTM either.

This revision was automatically updated to reflect the committed changes.